/*
 * Copyright (C) 2019, 注册猫（深圳）企业服务有限公司
 */
 // 提交成功弹窗
 var QuickServiceBox = function () {
    'use strict';
    // 提交成功
    var _successBox = function () {
        var html = "";
        html += '<div class="dialog company_result center">';
        html += '    <img class="img-circle" src="../../www.test-zhuce-m.com/img/_success.png"/*tpa=http://www.test-zhuce-m.com/img/_success.png*/>';
        html += '    <h2>提交成功</h2>';
        html += '    <p>我们的服务人员会与您联系<br>请耐心等待</p>';
        html += '    <div class="pad_t_30">';
        html += '        <button type="button" class="rect_button" id="btn_result_close">关闭</button>';
        html += '    </div>';
        html += '</div>';
    
        return html;
    }

    var _subSuccess = function () {
        var options = {
            center: true,
        }
        var html = _successBox();
        Overlay.show(options, html, function() {
            $("#btn_result_close").click(function(event) {
                Overlay.hide();
            });
           
        }, null);
        return false;
    }
    
    return {
        // 外部接口
        subSuccess: _subSuccess,
    }
}();


var QuickService = function($) {
    'use strict';

    var _getData = null;

    var _init = function (getData) {
        _getData = getData;

        return;
    }
    
    var _submitReturn = function(respdata) {
        $(".subject_form_submit").removeAttr("disabled"); //添加disabled属性 
        $(".subject_form_submit").removeClass("btn_disable");
        // 处理响应
        if(respdata.code != 0) {
            // 有错误
            Tips.alert(null, Api.code2str(respdata.code));
            return;
        }
        // 提示成功 
        QuickServiceBox.subSuccess();
        $("#subject_company_input").val("");
        $("#subject_name_input").val("");
        $("#subject_mobile_input").val("");
        return;
    };

    $(function() {
        // 注册事件处理函数
        $(".subject_form").submit(function(event) {
            event.preventDefault();
            // 获取提交类型
            if(_getData() == false) {
                return;
            }
            var data = _getData();
            
            // 将按钮设置为禁用
            $(".subject_form_submit").attr('disabled', "true"); //添加disabled属性 
            $(".subject_form_submit").addClass("btn_disable");

            $('.verification-ts').hide();

            
            Api.send("common", "create-quick-service", data, _submitReturn, false);
        });

        return true;
    });
    
    return {
        // 外部接口
        init: _init,
    }
}(jQuery);